Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in WeeChat
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in WeeChat
ID: openSUSE-SU-2013:0150-1
Distribution: SUSE
Plattformen: SUSE openSUSE 11.4
Datum: Mi, 23. Januar 2013, 21:08
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5534
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5854
Applikationen: WeeChat

Originalnachricht

   openSUSE Security Update: weechat
______________________________________________________________________________

Announcement ID: openSUSE-SU-2013:0150-1
Rating: important
References: #789146 #790217
Cross-References: CVE-2012-5534 CVE-2012-5854
Affected Products:
openSUSE 11.4/standard/i586/patchinfo.15
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:


- added weechat-fix-hook_process-shell-injection.patch
which fixes a shell injection vulnerability in the
hook_process function (bnc#790217, CVE-2012-5534)
- added
weechat-fix-buffer-overflow-in-irc-color-decoding.patch
which fixes a heap-based overflow when decoding IRC
colors in strings (bnc#789146, CVE-2012-5854)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.4/standard/i586/patchinfo.15:

zypper in -t patch 2012-9

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.4/standard/i586/patchinfo.15 (i586 x86_64):

weechat-0.3.3-7.1
weechat-aspell-0.3.3-7.1
weechat-aspell-debuginfo-0.3.3-7.1
weechat-debuginfo-0.3.3-7.1
weechat-debugsource-0.3.3-7.1
weechat-devel-0.3.3-7.1
weechat-lua-0.3.3-7.1
weechat-lua-debuginfo-0.3.3-7.1
weechat-perl-0.3.3-7.1
weechat-perl-debuginfo-0.3.3-7.1
weechat-python-0.3.3-7.1
weechat-python-debuginfo-0.3.3-7.1
weechat-ruby-0.3.3-7.1
weechat-ruby-debuginfo-0.3.3-7.1
weechat-tcl-0.3.3-7.1
weechat-tcl-debuginfo-0.3.3-7.1

- openSUSE 11.4/standard/i586/patchinfo.15 (noarch):

weechat-lang-0.3.3-7.1


References:

http://support.novell.com/security/cve/CVE-2012-5534.html
http://support.novell.com/security/cve/CVE-2012-5854.html
https://bugzilla.novell.com/789146
https://bugzilla.novell.com/790217

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung